BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Runtime.InteropServices.ComVisible(true)

defines the set of all possible values for a thread priority. Thread priorities specify the relative priority of one thread versus another.

Every thread has an assigned priority. Threads created within the runtime are initially assigned the Normal priority, while threads created outside the runtime retain their previous priority when they enter the runtime. You can get and set the priority of a thread by accessing its property.

Threads are scheduled for execution based on their priority. The scheduling algorithm used to determine the order of thread execution varies with each operating system. The operating system can also adjust the thread priority dynamically as the user interface's focus is moved between the foreground and the background.

The priority of a thread does not affect the thread's state; the state of the thread must be before the operating system can schedule it.

Specifies the scheduling priority of a .

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Threading.ThreadPriority AboveNormal To be added.

  The can be scheduled after threads with Highest priority and before those with Normal priority.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Threading.ThreadPriority BelowNormal To be added.

  The can be scheduled after threads with Normal priority and before those with Lowest priority.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Threading.ThreadPriority Highest To be added.

  The can be scheduled before threads with any other priority.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Threading.ThreadPriority Lowest To be added.

  The can be scheduled after threads with any other priority.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Threading.ThreadPriority Normal To be added.

  The can be scheduled after threads with AboveNormal priority and before those with BelowNormal priority. Threads have Normal priority by default.

  0
0